MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027678Community[OCCT] OCCT:Documentationpublic2016-07-14 16:222016-12-09 16:39
ReporterTimo 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027678: Draw User's guide contains wrong example for for-loop
DescriptionIn the Draw User's guide (chapter "The Command Language"), there are examples for TCL for-loops, but the condition of the for loop is wrong.


for {set i 0} {$i 10} {incr i} {
=>
for {set i 0} {$i < 10} {incr i} {



for {set i 1} {$i = 100} {incr i} {
=>
for {set i 1} {$i < 100} {incr i} {
Steps To ReproduceNA
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0057511)
git (administrator)
2016-09-06 13:44

Branch CR27678 has been created by ysn.

SHA-1: 0e0bcb810ab650c04882053092c47a80ec07ba3d


Detailed log of new commits:

Author: ysn
Date: Tue Sep 6 13:45:06 2016 +0300

    0027018: Documentation -- blockquotes are incorrectly formatted in PDF
    
    Signs have been restored in draw UG as per its DOC version
(0057513)
ysn (developer)
2016-09-06 13:56

I've added signs in the given conditions (and some other places, where they were missing) as per the Word document. However, they do not exactly match your suggestion (<= instead of <).
(0057548)
Timo (developer)
2016-09-07 11:49

Yes, I think what you did is better.

There is still a small English mistake:
# make a helix of circles. create a scripte file with
=>
# make a helix of circles. create a script file with
(0059852)
git (administrator)
2016-11-03 14:30

Branch CR27678_1 has been created by ysn.

SHA-1: 34e0855e0f3b438ad0f4d954f2df67131fd686bb


Detailed log of new commits:

Author: ysn
Date: Thu Nov 3 14:29:56 2016 +0300

    Signs have been restored in draw UG as per its DOC version.
    Fixed misspelling. Merged with current document version.
(0059853)
ysn (developer)
2016-11-03 14:31

Fixed in branch 27678_1
(0060137)
apn (administrator)
2016-11-09 17:30

Tested in scope of CR0-2016-11-09.
(0061200)
git (administrator)
2016-12-07 11:25

Branch CR27678 has been deleted by kgv.

SHA-1: 0e0bcb810ab650c04882053092c47a80ec07ba3d
(0061245)
git (administrator)
2016-12-07 11:30

Branch CR27678_1 has been deleted by kgv.

SHA-1: 34e0855e0f3b438ad0f4d954f2df67131fd686bb

- Related Changesets
occt: master d5cdd12a
Timestamp: 2016-11-03 11:29:56
Author: abv
Committer: abv
Details ] Diff ]
0027678: Draw User's guide contains wrong example for for-loop

Signs have been restored in draw UG as per its DOC version.
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-07-14 16:22 Timo New Issue
2016-07-14 16:22 Timo Assigned To => ysn
2016-07-14 16:23 Timo Description Updated View Revisions
2016-09-06 13:44 git Note Added: 0057511
2016-09-06 13:51 ysn Assigned To ysn => Timo
2016-09-06 13:56 ysn Note Added: 0057513
2016-09-06 13:56 ysn Status new => feedback
2016-09-07 11:49 Timo Note Added: 0057548
2016-09-07 11:50 Timo Assigned To Timo => ysn
2016-11-03 14:30 git Note Added: 0059852
2016-11-03 14:31 ysn Note Added: 0059853
2016-11-03 14:31 ysn Assigned To ysn => bugmaster
2016-11-03 14:31 ysn Status feedback => resolved
2016-11-03 14:31 ysn Steps to Reproduce Updated View Revisions
2016-11-09 17:30 apn Test case number => Not needed
2016-11-09 17:30 apn Note Added: 0060137
2016-11-09 17:30 apn Status resolved => reviewed
2016-11-09 17:30 apn Status reviewed => tested
2016-11-09 17:43 abv Changeset attached => occt master d5cdd12a
2016-11-09 17:43 abv Assigned To bugmaster => abv
2016-11-09 17:43 abv Status tested => verified
2016-11-09 17:43 abv Resolution open => fixed
2016-12-07 11:25 git Note Added: 0061200
2016-12-07 11:30 git Note Added: 0061245
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker